#{$all-text-inputs}
  +appearance(none)
  font-family: $font-family-body
  border: 1px $color-grey-border solid

  width: 250px
  display: block
  outline: none
  padding: 0 15px
  margin-bottom: 5px
  font-size: 14px
  letter-spacing: $font-letter-spacing
  background-color: $color-grey-background

  &:focus
    border: 1px solid darken($color-grey-border, 20%)

.field_with_errors
  height: inherit

  #{$all-text-inputs}
    border: 1px $color-orange solid

select
  font-family: $font-family-body
  letter-spacing: $font-letter-spacing
  margin-bottom: 5px

textarea
  width: 100%
  height: 100px
  background-color: $color-grey-background
  padding: 15px 20px
  color: $color-grey-text

input[type=checkbox]
  margin-right: 8px

input.flat,
select.flat
  +appearance(none)
  background-color: $color-grey-background
  border-radius: 0
  border: 1px solid $color-grey-border
  font: $font-family-body
  height: 100%
  margin-bottom: 0
  width: 100%

select::-ms-expand
  display: none

input.flat
  padding: 16px 25px

select.flat
  padding: 16px 60px 16px 25px

.input-wrapper,
.select-wrapper
  height: 50px
  overflow: hidden
  position: relative
  margin: 0

.select-wrapper
  .select-arrow:after
    +icon
    +icon-dropdown
    +position(absolute, 50% 20px auto auto)
    +transform(translate(0, -50%))
    font-size: 12px
    height: 7px
    pointer-events: none

#{$all-buttons}
  letter-spacing: $font-letter-spacing

  &.link
    background: transparent
    color: inherit
    font-size: inherit
    text-decoration: none

    &:hover
      text-decoration: underline

.button
  font-family: $font-family-header
  display: inline-block
  text-align: center
  background-color: $color-blue
  color: #fff
  border: 0
  font-size: 16px
  height: 50px
  line-height: 50px
  text-decoration: none
  padding: 0 30px

  &:not(:disabled)
    cursor: pointer

    &:hover
      text-decoration: none

  &:disabled
    background-color: $color-grey-border
    color: $color-grey-text
    cursor: default

  &.small
    font-family: $font-family-body
    font-size: 13px
    line-height: 13px
    padding: 10px
    height: auto

label
  color: $color-grey-text
  display: block
  margin-bottom: 10px

.form-actions
  text-align: center
  margin: 20px 0

  & > *:not(:last-child)
    margin-right: 20px

  a
    color: $color-grey-text

.input-row
  +display(flex)

  .left,
  .right
    +flex-grow(1)
    max-width: 50%

  .left
    padding-right: 15px

  .right
    padding-left: 15px

  input
    width: 100%

  label
    display: inline-block

    & + button
      float: right

  #{$all-buttons}
    &.link
      color: $color-blue
